/*
 * @Author: dengchao 754083046@qq.com
 * @Date: 2022-11-15 10:49:38
 * @LastEditors: dengchao 754083046@qq.com
 * @LastEditTime: 2022-11-15 13:40:37
 * @FilePath: \maintenance\src\pages\platformCenter\gis\panoramaConfig\index.jsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import React, { useState, useEffect } from 'react';
import styles from './index.less';
import { EditProject } from '@wisdom-cesium/krpano';
import { GetBasicInfo } from '@/services/hostmanager/hostmanager';

const PanoramaConfig = () => {
  const [currentSite,setCurrentSite] = useState();
  useEffect(() => {
    getSiteCode();
  }, []);

  const getSiteCode = () => {
    GetBasicInfo().then(res => {
      if (res.code === 0) {
        setCurrentSite(res.data);
      }
    });
  };

  return (
    <div className={styles.pageContent}>
      <div className={styles.container}>
        <EditProject site={currentSite}/>
      </div>
    </div>
  );
};

export default PanoramaConfig;
